aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-tailer
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2012-03-05 18:35:13 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2012-05-17 13:41:52 +0000
commitec39a6bad4f5ee3a2b6b81dd25a19459b1ab00b7 (patch)
treeb9c4262df9228b08d192ec74cd3e5ab6a3538dcf /testing/py-tailer
parent39a65056289376de0854c29ae62f34e4120ad953 (diff)
downloadaports-ec39a6bad4f5ee3a2b6b81dd25a19459b1ab00b7.tar.gz
aports-ec39a6bad4f5ee3a2b6b81dd25a19459b1ab00b7.tar.bz2
aports-ec39a6bad4f5ee3a2b6b81dd25a19459b1ab00b7.tar.xz
testing/py-tailer: new aport
Python tail is a simple implementation of GNU tail and head https://github.com/six8/pytailer
Diffstat (limited to 'testing/py-tailer')
-rw-r--r--testing/py-tailer/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/py-tailer/APKBUILD b/testing/py-tailer/APKBUILD
new file mode 100644
index 0000000000..87369351a1
--- /dev/null
+++ b/testing/py-tailer/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-tailer
+_pkgname=tailer
+pkgver=0.3
+pkgrel=0
+pkgdesc="Python tail is a simple implementation of GNU tail and head"
+url="https://github.com/six8/pytailer"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/t/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9d1fc073e48ca682786d50c077e823ce tailer-0.3.tar.gz"